<?php



namespace app\common\repositories\store\product;

use app\common\repositories\BaseRepository;
use app\common\dao\store\product\ProductAssistUserDao;
use think\exception\ValidateException;

class ProductAssistUserRepository extends BaseRepository
{
    public function __construct(ProductAssistUserDao $dao)
    {
        $this->dao = $dao;
    }

    public function userList(array $where,int $page ,int $limit)
    {
        $query = $this->dao->getSearch($where);
        $count = $query->count();
        $list = $query->page($page,$limit)->select();

        return compact('count','list');
    }
}
